<link rel="stylesheet" href="css/font.css" type="text/css" />
<script>
function jobcard_report_print(url)
{
onmouseover43= window.open(url,'onmouseover43','height=580,width=1100,scrollbars=yes,left=50,top=50,toolbar=no,location=no,directories=no,status=no,menubar=no');
}
</script>
<?php error_reporting(0);
/*********************************Get Found Result And Pagination********************************************************/
include("../../include/db.php");
$show = 20;
$num_links = 9;
$from = $_GET['from'];
if (empty($from))
	 {
		$from = "0";
	 } 
else 
	{
	    $html_query = $html_query. "&from=$from";
	}
	
function get_operator_id($ope_name)
{
$sql="select * from operator_creation where operator_name='$ope_name'";
$rs11=mysql_query($sql);
 while($rsdata=mysql_fetch_array($rs11))
 {
$operator_id=$rsdata['id'];
}
return $operator_id;
}

$operator_id=get_operator_id($_GET['operator_name']);

if(($_GET['from_date']!='')&&($_GET['to_date']!=''))
{
 $from_date=date('Y-m-d',strtotime($_GET['from_date']));
 $to_date=date('Y-m-d',strtotime($_GET['to_date']));
}
$current_date=date('Y-m-d');
if($from_date!=""){ $from_date1= "DATE_FORMAT(production_time,'%Y-%m-%d')>='$from_date'"; }else{$from_date1="DATE_FORMAT(production_time,'%Y-%m-%d')='$current_date'"; }
if($to_date!=""){ $to_date1 = "DATE_FORMAT(production_time,'%Y-%m-%d')<='$to_date'";}else{$to_date1="DATE_FORMAT(production_time,'%Y-%m-%d')='$current_date'";}
if($operator_id!=""){ $operator_id1 = "operator_name='$operator_id'";}else{$operator_id1="";}
{
$all_value102 = $from_date1."/".$to_date1."/".$operator_id1;
}
$all_array102 = explode('/',$all_value102);
foreach($all_array102 as $value101)
{ 
if($value101!='')
{
  $get_query106 .= $value101." AND ";
}
}	

$sql="select * from  fusing_production_sublist where $get_query106 pr_id!=''   ";

$html_query = "main_fram.php?file=operator_wise_fusing";
$result=mysql_query($sql);
$num_results=mysql_num_rows($result);
if ($num_results == 0) 
{
 $confirmation = "No Records!";
} 
elseif ($num_results == 1) 
{
$confirmation = "Found 1 Record.";
} 
else 
{
$confirmation = "Found $num_results Records.";
} 
$operator_type=$_GET['operator_type'];
$from_date=$_GET['from_date'];
$to_date=$_GET['to_date'];
?>
<table width="100%">
<tr>
<td width="1%" height="38">&nbsp;</td>
<td width="7%" class="style15">&nbsp;</td> 
<td width="13%" align="center">&nbsp;</td>
<td width="1%">&nbsp;</td>
<td width="6%" class="style15">&nbsp;</td>
<td width="14%" align="center"  class="style15">&nbsp;</td>
<td width="2%">&nbsp;</td>
<td width="11%" class="style15">&nbsp;</td>
<td width="24%" align="left" >&nbsp;</td>
<td width="8%" align="center">&nbsp;</td>
<td width="2%"></td>
<td width="7%" align="center"><a href="javascript:jobcard_report_print('report/operator_wise_fusing/operator_wise_print.php?from_date=<?php echo $_GET['from_date'];?>&to_date=<?php echo $_GET['to_date'];?>&operator_name=<?php echo $_GET['operator_name'];?>');" style="text-decoration:none;"><img src="img/PrinterBlack.png" width="35" height="30" title="Print" value="Print"/></a></td>
  </tr>
</table>
<div class="container">
<div class="row-fluid">
<div class="span12">
<div class="table-responsive">
<div class="CSSTableGenerator">  
<table border="0" width="97%"  align="center" cellpadding="0" cellspacing="0" style="border:1px solid #ddd" >
<thead>
<tr>
    <th  height="23"  align="center" style="border:1px solid #ddd" >S.No</th>
    <th  align="left" style="border:1px solid #ddd" > &nbsp;Date</th>
    <th  align="left" style="border:1px solid #ddd" >&nbsp;Jobcard No</th>
    <th  align="left" style="border:1px solid #ddd" >&nbsp;Customer Name</th>
     <th width="86"  align="left" style="border:1px solid #ddd" >&nbsp;Shift</th>
    <th width="111"  align="left" style="border:1px solid #ddd" >&nbsp;Machine No</th>
    <th width="104"  align="left" style="border:1px solid #ddd" >&nbsp;Operator</th>
    <th width="131"  align="left" style="border:1px solid #ddd" >&nbsp;Particulars</th>
            <th width="89"  align="right" style="border:1px solid #ddd" >Order Qty</th>

        <th width="113"  align="right" style="border:1px solid #ddd" >Product Qty&nbsp;</th>

    <th width="95"  align="right" style="border:1px solid #ddd" >Balance Qty</th>
    </tr>
  <?php
include("../../include/db.php"); 

function get_operator_name2($ope_name)
{
$sql="select * from operator_creation where id='$ope_name'";
$rs11=mysql_query($sql);
 while($rsdata=mysql_fetch_array($rs11))
 {
$operator_namess=$rsdata['operator_name'];
}
return $operator_namess;
}


function get_shift_time2($shift_id)
{
$sql="select * from shift_creation where id='$shift_id'";
$rs11=mysql_query($sql);
 while($rsdata=mysql_fetch_array($rs11))
{
$from_time[0]=$rsdata['from_time'];
$from_time[1]=$rsdata['to_time'];
$from_time[2]=$rsdata['shift_name'];
}
return $from_time;
}

function get_machine_no2($machine_no)
{
$sql="select * from machine_creation where id='$machine_no'";
$rs11=mysql_query($sql);
 while($rsdata=mysql_fetch_array($rs11))
 {
$machine_no=$rsdata['machine_no'];
}
return $machine_no;
}
function get_total_quants11($job_card_no)
{
  $sql="select sum(qty) as qty from jobcard_sublist where jobcard_no='$job_card_no'";
$rs11=mysql_query($sql);
 while($rsdata=mysql_fetch_array($rs11))
 {
$qty1=$rsdata['qty'];
}
return $qty1;
}

$from_date=$_GET['from_date']; 
  $to_date=$_GET['to_date']; 
  $operator_names=$_GET['operator_name'];
  $operator_id=get_operator_id($operator_names); 
$current_date=date('Y-m-d');

if($from_date!=""){ $from_date1= "DATE_FORMAT(f.production_time,'%Y-%m-%d')>='$from_date'"; }else{$from_date1="f.production_time='$current_date'"; }
if($to_date!=""){ $to_date1 = "DATE_FORMAT(f.production_time,'%Y-%m-%d')<='$to_date'";}else{$to_date1="f.production_time='$current_date'";}
if($operator_id!=""){ $operator_id1 = "f.operator_name='$operator_id'";}else{$operator_id1="";}
{
$all_value102 = $from_date1."/".$to_date1."/".$operator_id1;
}
$all_array102 = explode('/',$all_value102);
foreach($all_array102 as $value102)
{ 
if($value102!='')
{
  $get_query104 .= $value102." AND ";
}
}	
function get_order_qty($job_card_no,$prod_size)
{
	$sql_query="select * from fusing_production_sublist where job_card_no='$job_card_no' and prod_size='$prod_size' ";
    $rs=mysql_query($sql_query);
    $rscount=mysql_num_rows($rs);
	return $rscount;
 }
 
 
 function get_max_order_qty($job_card_no,$prod_size)
{
 $sql_query="select max(total_qty) as total_qty from fusing_production_sublist where job_card_no='$job_card_no' and prod_size='$prod_size' ";
    $rs11=mysql_query($sql_query);
 while($rsdata=mysql_fetch_array($rs11))
 {
$total_qty=$rsdata['total_qty'];
}
return $total_qty;
}

 function get_order_qty1($job_card_no,$prod_size,$pr_id)
{
 $sql_query="select total_qty from fusing_production_sublist where job_card_no='$job_card_no' and prod_size='$prod_size' and pr_id='$pr_id'  ";
    $rs11=mysql_query($sql_query);
 while($rsdata=mysql_fetch_array($rs11))
 {
$total_qty=$rsdata['total_qty'];
}
return $total_qty;
}
  $sql="select * from  fusing_production_main right join fusing_production_sublist as f on f.job_card_no=fusing_production_main.job_card_no where $get_query104 f.pr_id!=''  order by f.job_card_no,f.operator_name,f.prod_size ASC";

    $rs=mysql_query($sql);
	 $rscount=mysql_num_rows($rs);

   		while($rsdata=mysql_fetch_array($rs))
  			{
				 $from=$from+1;
				 $pr_id=$rsdata['pr_id'];
                 $job_card_no=$rsdata['job_card_no'];
                 $cust_name=$rsdata['cust_name'];
				 $production_time=$rsdata['production_time'];
				 $shift_id=$rsdata['shift_time'];
				 $shift_time=get_shift_time2($shift_id);
				 $machine_id=$rsdata['machine_no'];
				 $machine_no=get_machine_no2($machine_id);
				 $operator_id=$rsdata['operator_name'];
				 $operator_name=get_operator_name2($operator_id);
				 $prod_size=$rsdata['prod_size'];
				 $prod_qty=$rsdata['prod_qty'];
				 $total_qty=$rsdata['total_qty'];
				 $balance_qty=$rsdata['balance_qty']; 
			 	 $total_quant=get_total_quants11($job_card_no);
				 $count_order_qty = get_order_qty($job_card_no,$prod_size); 
	 $max_order_qty = get_max_order_qty($job_card_no,$prod_size);
	 $qty=  get_order_qty1($job_card_no,$prod_size,$pr_id);
	if($max_order_qty==$qty)
	{
		$qty=$max_order_qty;
	}
	else
	{
				$qty='';

		}

 ?>
    <tr>
    <td width="51"  align="center" style="border:1px solid #ddd">&nbsp;<?php echo $from; ?></td>
    <td width="82" align="left" style="border:1px solid #ddd" >&nbsp;<?php echo date("d-m-Y",strtotime($production_time));?></td>
    <td width="105" align="left" style="border:1px solid #ddd" >&nbsp;<?php echo $job_card_no; ?></td>
    <td width="105" align="left" style="border:1px solid #ddd" >&nbsp;<?php echo $cust_name; ?></td>
    <td width="86" align="left" style="border:1px solid #ddd" >&nbsp;<?php echo $shift_time[2]."(".$shift_time[0]."-".$shift_time[1].")"; ?></td>
    <td width="111" align="left" style="border:1px solid #ddd" >&nbsp;<?php echo $machine_no; ?></td>
    <td width="104" align="left" style="border:1px solid #ddd" >&nbsp;<?php  echo $operator_name;?></td>
    <td width="131" align="left" style="border:1px solid #ddd" >&nbsp;<?php  echo $prod_size; ?></td>
            <td width="89" align="right" style="border:1px solid #ddd" ><?php  echo $total_qty; ?>&nbsp;</td>

        <td width="113" align="right" style="border:1px solid #ddd" ><?php  echo number_format($prod_qty,2); ?>&nbsp;</td>

    <td width="95" align="right" style="border:1px solid #ddd" ><?php  echo $balance_qty; ?>&nbsp;</td>
    </tr>
  <?php
    $total1+=$total_qty; 
	$total2+=$prod_qty; 
	$total3+=$balance_qty;
	$qty1+=$qty;
	} ?>
     <tr>
   <td colspan="7" align="right" class="style1"><strong>Total</strong></td>
   <td align="right" class="style1"><strong><?php echo $qty1 ?></strong></td>
      <td align="right" class="style1"><strong><?php echo number_format($total2,2); ?></strong></td>

   <td align="right" class="style1"><strong><?php echo number_format($qty1-$total2,2); ?></strong></td>

    </tr>
  </thead>
</table>
</div>
</div>
</div>
</div>

